gnutls-serv(1)

NAME
gnutls-serv - GNU TLS test server

SYNOPSIS
gnutls-serv [options]

DESCRIPTION
Simple server program that listens to incoming TLS connections.

OPTIONS

  Program control options

--copyright
    prints the program's license

-d, --debug LEVEL
    Specify the debug level. Default is 1.

-h, --help
    prints this help

-l, --list
    Print a list of the supported algorithms and modes.

-q, --quiet
    Suppress some messages.

-v, --version
    prints the program's version number

  Server options

-p, --port integer
    The port to listen on.

--nodb
    Does not use the resume database.

--http
    Act as an HTTP Server.

--echo
    Act as an Echo Server.

  TLS/SSL control options

--ciphers cipher1 cipher2...
    Ciphers to enable (use gnutls-cli --list to show the supported ciphers).

--comp comp1 comp2...
    Compression methods to enable (use gnutls-cli --list to show the supported compression methods).

--ctypes certType1 certType2...
    Certificate types to enable.

-g, --generate
    Generate Diffie Hellman Parameters.

--kx kx1 kx2...
    Key exchange methods to enable (use gnutls-cli --list to show the supported key exchange methods).

--macs mac1 mac2...
    MACs (Message Authentication Codes) to enable (use gnutls-cli --list to show the supported MACs).

-p, --port integer
    The port to connect to.

--protocols protocol1 protocol2...
    Protocols to enable (use gnutls-cli --list to show the supported protocols).

  Certificate options

--pgpcertfile FILE
    PGP Public Key (certificate) file to use.

--pgpkeyfile FILE
    PGP Key file to use.

--pgpkeyring FILE
    PGP Key ring file to use.

--pgptrustdb FILE
    PGP trustdb file to use.

--srppasswd FILE
    SRP password file to use.

--srppasswdconf FILE
    SRP password configuration file to use.

--x509cafile FILE
    Certificate file to use.

--x509certfile FILE
    X.509 Certificate file to use.

--x509fmtder
    Use DER format for certificates

--x509keyfile FILE
    X.509 key file to use.

SEE ALSO
gnutls-cli(1), gnutls-cli-debug(1)

AUTHOR

Nikos Mavroyanopoulos <nmav@gnutls.org> and others; see /usr/share/doc/gnutls-bin/AUTHORS for a complete list.

This manual page was written by Ivo Timmermans <ivo@debian.org>, for the Debian GNU/Linux system (but may be used by others).